Skip to content
Content & StorefrontStore Locations

List public store locations

Lists active physical store locations by cursor, with optional name or city search.

GET/v1/store-locations
No token

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/store-locations" \  -H "x-Store-Domain: my-store"
{  "data": [    {      "id": "7204558912004328277",      "storeId": "7204558912004327977",      "name": "Almacén Lima",      "code": "POL-001",      "type": "warehouse",      "isActive": true,      "isDefault": true,      "useForFulfillment": false,      "supportsShipping": false,      "supportsLocalDelivery": false,      "supportsPickup": false,      "isPhysicalStore": false,      "supportsPos": false,      "priority": 1,      "localDeliveryPostalCodes": [        "15074"      ],      "localDeliveryZones": [        {          "name": "Lima Metropolitana",          "postalCodes": [            "15074"          ],          "radiusKm": 1,          "fee": 1,          "freeFromAmount": 178,          "minHours": 1,          "maxHours": 1        }      ],      "schedules": [        {          "id": "7204558912004328277",          "openTime": "09:00:00",          "closeTime": "09:00:00",          "name": "Almacén Lima",          "dayOfWeek": "monday",          "enabled": true,          "isOpen": false,          "type": "delivery"        }      ],      "createdOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}